#define LCK_GRP_ATTR_NULL 1
#define LCK_ATTR_NULL 1

typedef int lck_grp_t;
typedef struct __lck_attr__ lck_attr_t;

int lck_grp_alloc_init(int a, int b);
int lck_mtx_alloc_init(int a, int b);
int lck_mtx_free(int a, int b);
int lck_mtx_free(int a, int b);
int lck_grp_free(int a);
int lck_mtx_lock(int a);
int lck_mtx_unlock(int a);